Bug 955174 - ceph package should be built with PIE flags [NEEDINFO]
Summary: ceph package should be built with PIE flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kaleb KEITHLEY
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 13:53 UTC by Dhiru Kholia
Modified: 2014-05-31 18:36 UTC (History)
9 users (show)

Fixed In Version: ceph-0.80.1-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-23 18:59:04 UTC
i: needinfo? (josef)


Attachments (Terms of Use)

Description Dhiru Kholia 2013-04-22 13:53:01 UTC
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently ceph is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

ceph-0.56.4-1.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py ceph-0.56.4-1.fc19.x86_64.rpm
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-authtool,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-conf,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-dencoder,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-mds,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-mon,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-osd,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/ceph-syn,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/cephfs,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/crushtool,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/librados-config,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/monmaptool,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/osdmaptool,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/rados,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/bin/rbd,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip
ceph,ceph-0.56.4-1.fc19.x86_64.rpm,/usr/sbin/mount.ceph,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=network-ip

Comment 1 Christopher Meng 2013-11-19 05:03:24 UTC
I think this need to be solved quickly for file system.

Comment 3 Fedora Admin XMLRPC Client 2014-05-13 17:11:17 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2014-05-14 11:41:28 UTC
ceph-0.80.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ceph-0.80.1-1.fc20

Comment 5 Fedora Update System 2014-05-14 11:42:22 UTC
ceph-0.80.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ceph-0.80.1-1.fc19

Comment 6 Fedora Update System 2014-05-14 17:49:16 UTC
ceph-0.80.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ceph-0.80.1-2.fc20

Comment 7 Fedora Update System 2014-05-14 17:50:21 UTC
ceph-0.80.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ceph-0.80.1-2.fc19

Comment 8 Fedora Update System 2014-05-14 17:51:19 UTC
ceph-0.80.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ceph-0.80.1-2.el6

Comment 9 Fedora Update System 2014-05-16 10:05:33 UTC
Package ceph-0.80.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ceph-0.80.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6394/ceph-0.80.1-2.fc20
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2014-05-23 18:59:04 UTC
ceph-0.80.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-05-24 23:26:22 UTC
ceph-0.80.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-05-31 18:36:48 UTC
ceph-0.80.1-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.